## Provides an easy reference for save settings through an export rather than code
##   Should be attached to the main world/level scene
class_name SaveLevelDataComponent
extends Node


@export var default_save_icon_resource: CompressedTexture2D
@export var settings: SaveGameSettings ## The SaveGameSettings resource
@export var ui_node: CanvasLayer ## The UI to Show/Hide when taking screenshot (e.g. save icon generation)


func _ready() -> void:
	add_to_group("save_level_data_component")
